Adding a suffix I think look for the lines:
(setq str
(strcat
"%<\\AcObjProp Object(%<\\_ObjId "
(LM:ObjectID (vlax-ename->vla-object (ssname sel 0)))
">%).Area \\f \"" fmt "\">%"
)
)
and
(setq str
(strcat
"%<\\AcExpr "
(apply 'strcat (reverse (cdr (reverse lst))))
" \\f \"" fmt "\">%"
)
)
and before the closing brackets for (strcat.... add your suffix text ("ha"), something like
....
" \\f \"" fmt "\">%"
" ha"
)
)
That will give you the area as a field and then the ha as text after it.
Not sure but the units will depends on the units your drawing is using.
Lee Mac has a thing here, format codes http://www.lee-mac.com/fieldformat.html so if you set up the formatting for one of the fields created above as you want and use this, then you can change this line:
(setq fmt "%lu6%qf1") ;; Field Formatting
and put in the code that fieldformat gives you (I think)